Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Module_Factory Class Reference

Create Module stacks. More...

`#include <RMCast_Module_Factory.h>`

Inheritance diagram for ACE_RMCast_Module_Factory

[legend]
List of all members.

## Public Methods
virtual | ~ACE_RMCast_Module_Factory (void)
| Destructor.
virtual ACE_RMCast_Module* | create (void) = 0
| Create a new proxy.
virtual void | destroy (ACE_RMCast_Module *) = 0
| Destroy a proxy. More...

## Detailed Description

Create Module stacks.

Different application will probably require different configurations in their Module stack, some will just want best effort semantics. Others will use Reliable communication with a maximum retransmission time. Furthermore, applications may want to receive messages in send order, or just as soon as they are received. Obviously most applications will want to change want happens once a message is completely received.

To achieve all this flexibility the IO layer uses this factory to create the full stack of Modules corresponding to a single consumer. To keep the complexity under control the intention is to create helper Factories, such as Reliable_Module_Factory where applications only need to customize a few features.

## Constructor & Destructor Documentation

ACE_RMCast_Module_Factory::~ACE_RMCast_Module_Factory ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

ACE_RMCast_Module * ACE_RMCast_Module_Factory::create ( | void )`[pure virtual]`

| Create a new proxy. Reimplemented in ACE_RMCast_Reliable_Factory, and ACE_RMCast_Singleton_Factory.

void ACE_RMCast_Module_Factory::destroy ( | ACE_RMCast_Module * receiver )`[pure virtual]`

| Destroy a proxy. Some factories may allocate modules from a pool, or return the same module for all proxies. Consequently, only the factory knows how to destroy them. Reimplemented in ACE_RMCast_Reliable_Factory, and ACE_RMCast_Singleton_Factory.

The documentation for this class was generated from the following file:

- RMCast_Module_Factory.h